Bug 609829 - [abrt] crash in gedit-1:2.28.3-1.fc12: utf_8.py:16:decode:UnicodeDecodeError: 'utf8' codec can't decode bytes in position 48-50: invalid data
[abrt] crash in gedit-1:2.28.3-1.fc12: utf_8.py:16:decode:UnicodeDecodeError:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:d7bd72f6
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 05:06 EDT by jendrik
Modified: 2010-12-03 08:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:36:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.90 KB, text/plain)
2010-07-01 05:06 EDT, jendrik
no flags Details

  None (edit)
Description jendrik 2010-07-01 05:06:38 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: gedit
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.32.14-127.fc12.i686
package: gedit-1:2.28.3-1.fc12
reason: utf_8.py:16:decode:UnicodeDecodeError: 'utf8' codec can't decode bytes in position 48-50: invalid data
release: Fedora release 12 (Constantine)

backtrace
-----
utf_8.py:16:decode:UnicodeDecodeError: 'utf8' codec can't decode bytes in position 48-50: invalid data

Traceback (most recent call last):
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/base/decorators.py", line 735, in _on_load
    self._adjust_editor()
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/base/decorators.py", line 794, in _adjust_editor
    editor_class.__init__(self._editor, self, file)
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/base/__init__.py", line 428, in __init__
    self.init(file, self._window_context)
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/latex/editor.py", line 111, in init
    self.__parse()
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/latex/editor.py", line 355, in __parse
    expander.expand(self._document, master_file, self, self.charset)
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/latex/expander.py", line 55, in expand
    self._expand(documentNode)
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/latex/expander.py", line 83, in _expand
    fragment = self._document_cache.get_document(file, self._charset, self._issue_handler)
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/latex/cache.py", line 147, in get_document
    entry = self.Entry(file, charset)
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/latex/cache.py", line 74, in __init__
    self.synchronize()
  File "/usr/lib/gedit-2/plugins/GeditLaTeXPlugin/src/latex/cache.py", line 114, in synchronize
    content = content.decode(self.__charset)
  File "/usr/lib/python2.6/encodings/utf_8.py", line 16, in decode
    return codecs.utf_8_decode(input, errors, True)
UnicodeDecodeError: 'utf8' codec can't decode bytes in position 48-50: invalid data

Local variables in innermost frame:
input: '\\chapter*{Zusammenfassung}\r\nDieses Dokument repr\xe4sentiert Struktur und Designvorlage des neuen\r\nAbteilungsstils f\xfcr studentische Arbeiten.\r\n'
errors: 'strict'
Comment 1 jendrik 2010-07-01 05:06:41 EDT
Created attachment 428213 [details]
File: backtrace
Comment 2 jendrik 2010-07-04 03:11:36 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. using a document with encoding iso-8859-1
2. load the document
3. crash


Comment
-----
1. using a document with encoding iso-8859-1
2. load the document
3. crash
Comment 3 jendrik 2010-07-29 03:47:04 EDT
Package: gedit-1:2.28.3-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Open a file with wrong encoding
2.
3.
Comment 4 Bug Zapper 2010-11-03 08:40:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 08:36:16 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.